{
  "aggMode" : "NONE",
  "codeName" : "InfoGrid",
  "columnEnableFilter" : 2,
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSGRIDS/InfoGrid.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "frozenFirstColumn" : 1,
  "groupMode" : "NONE",
  "hookEventNames" : [ "ONCLICK" ],
  "logicName" : "信息表格",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "onClick",
    "logicTag" : "grid",
    "logicType" : "SCRIPT",
    "name" : "logic",
    "scriptCode" : "if (ctrl.state.curPage=== ctrl.state.totalPages) {\r\n    ctrl.state.curPage = 1;\r\n} else {\r\n    ctrl.state.curPage += 1;\r\n}\r\nctrl.load();",
    "timer" : 9000,
    "triggerType" : "TIMER"
  } ],
  "getPSDEDataExport" : {
    "modelref" : true,
    "id" : "DataExport"
  },
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "书名称",
    "codeName" : "bookname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "bookname",
    "excelCaption" : "书名称",
    "name" : "bookname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    },
    "width" : 200,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "CENTER",
    "cLConvertMode" : "BACKEND",
    "caption" : "后台",
    "codeName" : "field",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "field",
    "excelCaption" : "后台",
    "name" : "field",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList83.json"
    },
    "getPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    },
    "width" : 200,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "RIGHT",
    "cLConvertMode" : "FRONT",
    "caption" : "动态",
    "codeName" : "field2",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "field2",
    "excelCaption" : "动态",
    "name" : "field2",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__CodeList.json"
    },
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    },
    "width" : 300,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "文件上传单项",
    "codeName" : "field41",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "field41",
    "excelCaption" : "文件上传单项",
    "name" : "field41",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "FIELD41",
      "codeName" : "Field41"
    },
    "getPSSysPFPlugin" : {
      "pluginType" : "GRID_COLRENDER",
      "pluginCode" : "ATTACHMENT_VIEWER_COLUMN"
    },
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "图片上传单项",
    "codeName" : "field19",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "field19",
    "excelCaption" : "图片上传单项",
    "name" : "field19",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "FIELD19",
      "codeName" : "Field19"
    },
    "getPSSysPFPlugin" : {
      "pluginType" : "GRID_COLRENDER",
      "pluginCode" : "ATTACHMENT_VIEWER_COLUMN"
    },
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "文件上传",
    "codeName" : "field24",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "field24",
    "excelCaption" : "文件上传",
    "name" : "field24",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "FIELD24",
      "codeName" : "Field24"
    },
    "getPSSysPFPlugin" : {
      "pluginType" : "GRID_COLRENDER",
      "pluginCode" : "ATTACHMENT_VIEWER_COLUMN"
    },
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "caption" : "图片上传",
    "codeName" : "field9",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "field9",
    "excelCaption" : "图片上传",
    "name" : "field9",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "FIELD9",
      "codeName" : "Field9"
    },
    "getPSSysPFPlugin" : {
      "pluginType" : "GRID_COLRENDER",
      "pluginCode" : "ATTACHMENT_VIEWER_COLUMN"
    },
    "width" : 100,
    "widthUnit" : "PX",
    "enableSort" : false
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "bookname",
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "dataType" : 25,
    "name" : "field",
    "getPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    },
    "convertToCodeItemText" : true
  }, {
    "dataType" : 21,
    "name" : "field2",
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    }
  }, {
    "dataType" : 21,
    "name" : "field41",
    "getPSAppDEField" : {
      "name" : "FIELD41",
      "codeName" : "Field41"
    }
  }, {
    "dataType" : 21,
    "name" : "field19",
    "getPSAppDEField" : {
      "name" : "FIELD19",
      "codeName" : "Field19"
    }
  }, {
    "dataType" : 21,
    "name" : "field24",
    "getPSAppDEField" : {
      "name" : "FIELD24",
      "codeName" : "Field24"
    }
  }, {
    "dataType" : 21,
    "name" : "field9",
    "getPSAppDEField" : {
      "name" : "FIELD9",
      "codeName" : "Field9"
    }
  }, {
    "dataType" : 25,
    "name" : "field3",
    "getPSAppDEField" : {
      "name" : "FIELD3",
      "codeName" : "Field3"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "phoneid",
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "dataType" : 25,
    "name" : "pbookid",
    "getPSAppDEField" : {
      "name" : "PBOOKID",
      "codeName" : "Pbookid"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "书标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "allowEmpty" : true
  } ],
  "pagingMode" : 1,
  "pagingSize" : 30,
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "C25C447C-B5DD-4344-AB30-45F8E36B937C",
  "modeltype" : "PSDEGRID"
}